Subject: [dhcwg] Comments/question to draft-28

From: Tony Lindström (EAB)<[email-masked]>
Date: Wed, 6 Nov 2002 10:43:26 +0100

I have read some part of the draft-28 and have listed some minor comments: 

In chapter 17.2.1  first paragraph

This part of the sentence need to be modified:
'if the client indicates with a Reconfigure Accept option in the Solicit message that it will not accept a Reconfigure message'

In chapter 18.1.1  1:st paragraph, in chapter 18.1.3  8:th paragraph, 18.1.4  4:th paragraph and in chapter 18.1.5  5:th paragraph

The following sentence can be read:
'The client MUST include an Option Request option ...'

In Solicit message this is changed to SHOULD (17.1.1), but is this consistent when option 22.7 says:
'A client MAY include an Option Request option...'

In chapter 18.1.1  7:th paragraph
The following sentence should be changed:
'The client includes a Reconfigure Accept option (see section indicating whether or not the client is willing to accept Reconfigure messages from the server.'

to:
'The client includes a Reconfigure Accept option (see section 22.20)if the client is willing to accept Reconfigure messages from the server.'

In chapter 22.7
Confirm is not valid in the option Request option anymore:
   A client MAY include an Option Request option in a Solicit, Request,
   Renew, Rebind, Confirm or Information-request message to inform
   the server about options the client wants the server to send to
   the client.  

This comment is valid for at least the following drafts:
draft-ietf-dhc-dhcpv6-opt-dnsconfig-01.txt
draft-ietf-dhc-dhcpv6-opt-nisconfig-01.txt
draft-ietf-dhc-dhcpv6-opt-timeconfig-01.txt

In the table A. Appearance of Options in Message Types

Remove the '*'  for Confirm message in the option Request column.

QUESTION
-----------------
In the second table for messages Renew/Rebind and Inform there is indicated it is possible to receive the Recon. Accept option. This is not mention in the earlier chapters 18.1.3-5.
For the Renew and Rebind I think this is only valid if the client has reconfigured and will start accept Reconfigure message, but how will the client indicate if it stops to accept Reconfigure message? 

For the Inform-Request message (in chapter 18.1.5). I think the following sentence should be added:
'The client includes a Reconfigure Accept option (see section 22.20)if the client is willing to accept Reconfigure messages from the server.'

Regards, Tony

_______________________________________________
dhcwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dhcwg